Skip to main content
GET
/
v1
/
contact-exclusions
List Contact Exclusions
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topo.io/v1/contact-exclusions', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "<string>",
      "linkedin_url": "<string>",
      "message": "<string>",
      "until": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total_count": 123,
  "total_pages": 123,
  "has_more": true
}

Authorizations

Authorization
string
header
required

Bearer API key issued from Settings → Developers.

Query Parameters

page
integer
default:1

Page number.

Required range: x >= 1
size
integer
default:10

Number of items per page.

Required range: 1 <= x <= 100
sort_by
enum<string> | null

Field to sort by.

Available options:
created_at,
updated_at,
email,
reason
sort_order
enum<string>
default:asc

Sort direction.

Available options:
asc,
desc
email
string | null

Filter by excluded email (exact match).

linkedin_url
string | null

Filter by excluded LinkedIn URL (exact match).

reason
enum<string> | null

Filter by reason.

Available options:
BAD_TIMING,
BOUNCED,
COMPETITOR,
CONTACT_REFUSED,
INTERESTED,
MEETING,
OTHER,
OUT_OF_OFFICE,
UNKNOWN,
UNSUBSCRIBED,
WRONG_PERSON,
EXCLUDE_FROM_SEARCH,
EXCLUDE_FROM_CRM,
REFERRAL,
LEFT_COMPANY
created_at_before
string<date-time> | null

Return exclusions created strictly before this timestamp.

created_at_after
string<date-time> | null

Return exclusions created strictly after this timestamp.

Response

200 - application/json

Successful Response

items
ContactExclusionOutput · object[]
required

Records on this page.

total_count
integer
required

Total number of records matching the query.

total_pages
integer
required

Total number of pages.

has_more
boolean
required

Whether more pages remain after the current one.